import type { ProFormRequestConfig } from '../typing';
declare const $request: (field: any, context: any, { extraConfig, onComplete, ...rest }: ProFormRequestConfig, type: 'request' | 'validator' | 'dataSource') => Promise<unknown>;
declare const $common: (services: any, context: any, requestConfig: ProFormRequestConfig) => (field: any) => any;
declare const $validator: (services: any, context: any, requestConfig: ProFormRequestConfig) => (value: any, rules: any, { field }: any) => any;
declare const $dataSource: (services: any, context: any, requestConfig: ProFormRequestConfig) => (field: any) => any;
export { $request, $common, $dataSource, $validator };
